Subject: bug#21898: closed (Re: bug#21898: scss-mode font-lock face for variables)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 30 Jul 2017 09:35:02 +0000

Your bug report

#21898: scss-mode font-lock face for variables

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21898: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21898
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21898: scss-mode font-lock face for variables
From: Simen Heggestøyl <[email-masked]>
To: Jackson Ray Hamilton <[email-masked]>
Cc: [email-masked]
Date: Sun, 30 Jul 2017 11:33:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jul 29, 2017 at 7:24 PM, Jackson Ray Hamilton 
<[email-masked]> wrote:
> Looks fine to me in all the default themes and the top 10 themes 
> here: https://emacsthemes.com/charts/all-time.html

Thanks for checking. It looks good to me in all the built-in themes as
well. I've installed the change in master as
4219240e1df6abbd842f4474fe7862f341cc355a.

-- Simen

Subject: scss-mode font-lock face for variables
From: Jackson Hamilton <[email-masked]>
To: [email-masked]
Date: Thu, 12 Nov 2015 22:37:57 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I'd like to propose the following change to the scss-mode on master: Use
font-lock-constant-face for SCSS variables.

This may not seem intuitive from a naming perspective, but
font-lock-variable-name-face is already used for CSS properties. That makes
it harder to distinguish between properties and variables.

AFAIK, Sass doesn't even have constants, so I don't see much harm in using
this face. It'd be a less dramatic change for those who have grown used to
variable coloring for CSS properties.

I guess the alternative would be to inherit the property face from
something else, to free up the face for real variables. But then what do we
use for properties? (Inheriting from nothing doesn't look good IMO.)

Attached is the proposed patch.
From 72fb4670228324b59531a19409618277b62ad230 Mon Sep 17 00:00:00 2001
From: Jackson Ray Hamilton <[email-masked]>
Date: Thu, 12 Nov 2015 22:21:38 -0800
Subject: [PATCH] Use `font-lock-constant-face' for scss variables

* css-mode.el (scss-font-lock-keywords): Change face.
---
 lisp/textmodes/css-mode.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/textmodes/css-mode.el b/lisp/textmodes/css-mode.el
index 3e84b43..e35e6cb 100644
--- a/lisp/textmodes/css-mode.el
+++ b/lisp/textmodes/css-mode.el
@@ -525,7 +525,7 @@ pseudo-classes, and at-rules."
     st))
 
 (defvar scss-font-lock-keywords
-  (append `((,(concat "$" css-ident-re) (0 font-lock-variable-name-face)))
+  (append `((,(concat "$" css-ident-re) (0 font-lock-constant-face)))
           (css--font-lock-keywords 'sassy)
           `((,(concat "@mixin[ \t]+\\(" css-ident-re "\\)[ \t]*(")
              (1 font-lock-function-name-face)))))
-- 
2.6.3